This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1028711 - [abrt] alacarte-3.10.0-1.fc21: Gtk.py:1187:_do_insert:AttributeError: 'TreeStore' object has no attribute 'insert_with_values'
[abrt] alacarte-3.10.0-1.fc21: Gtk.py:1187:_do_insert:AttributeError: 'TreeSt...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: alacarte (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jasper St. Pierre
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ce7a25812022ee490ee86b0d1eb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-09 16:10 EST by mastaiza
Modified: 2016-07-19 06:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:34:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.59 KB, text/plain)
2013-11-09 16:10 EST, mastaiza
no flags Details
File: environ (1.34 KB, text/plain)
2013-11-09 16:10 EST, mastaiza
no flags Details

  None (edit)
Description mastaiza 2013-11-09 16:10:32 EST
Version-Release number of selected component:
alacarte-3.10.0-1.fc21

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python2.7 -OOt /usr/bin/alacarte
dso_list:       pygobject3-base-3.11.1-1.fc21.x86_64
executable:     /usr/bin/alacarte
kernel:         3.12.0-0.rc5.git2.1.fc21.x86_64
runlevel:       unknown
type:           Python
uid:            1000

Truncated backtrace:
Gtk.py:1187:_do_insert:AttributeError: 'TreeStore' object has no attribute 'insert_with_values'

Traceback (most recent call last):
  File "/usr/bin/alacarte", line 24, in <module>
    main()
  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 454, in main
    app.setMenuBasename(basename)
  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 67, in setMenuBasename
    self.menuChanged()
  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 75, in menuChanged
    self.loadUpdates()
  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 104, in loadUpdates
    self.loadMenus()
  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 200, in loadMenus
    self.loadMenu({ None: None })
  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 214, in loadMenu
    iters[menu] = self.menu_store.append(iters[parent], (icon, name, menu))
  File "/usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py", line 1194, in append
    return self._do_insert(parent, -1, row)
  File "/usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py", line 1187, in _do_insert
    treeiter = self.insert_with_values(parent, position, columns, row)
AttributeError: 'TreeStore' object has no attribute 'insert_with_values'

Local variables in innermost frame:
position: -1
self: <TreeStore object at 0x25c4960 (GtkTreeStore at 0x260a890)>
parent: None
columns: [0, 1, 2]
row: [<Value (GdkPixbuf) <Pixbuf object at 0x27145a0 (GdkPixbuf at 0x282be80)>>, <Value (gchararray) Приложения>, <Value (PyObject) <GMenuTreeDirectory at 0x274c8f0>>]
Comment 1 mastaiza 2013-11-09 16:10:41 EST
Created attachment 821984 [details]
File: backtrace
Comment 2 mastaiza 2013-11-09 16:10:46 EST
Created attachment 821985 [details]
File: environ
Comment 4 Jaroslav Reznik 2015-03-03 10:11:49 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 5 Fedora End Of Life 2016-07-19 06:34:33 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.